import * as React from "react";
import ResizeNotifier from "../../utils/ResizeNotifier";
import { SpaceKey } from "../../stores/spaces";
import MatrixClientContext from "../../contexts/MatrixClientContext";
interface IProps {
    isMinimized: boolean;
    resizeNotifier: ResizeNotifier;
}
interface IState {
    showBreadcrumbs: boolean;
    activeSpace: SpaceKey;
}
export default class LeftPanel extends React.Component<IProps, IState> {
    private ref;
    private listContainerRef;
    private roomSearchRef;
    private roomListRef;
    private focusedElement;
    private isDoingStickyHeaders;
    static contextType: React.Context<import("matrix-js-sdk").MatrixClient>;
    context: React.ContextType<typeof MatrixClientContext>;
    constructor(props: IProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    componentDidUpdate(prevProps: IProps, prevState: IState): void;
    private updateActiveSpace;
    private onDialPad;
    private onExplore;
    private refreshStickyHeaders;
    private onBreadcrumbsUpdate;
    private handleStickyHeaders;
    private doStickyHeaders;
    private onScroll;
    private onFocus;
    private onBlur;
    private onKeyDown;
    private onRoomListKeydown;
    private selectRoom;
    private renderHeader;
    private renderBreadcrumbs;
    private renderSearchDialExplore;
    render(): React.ReactNode;
}
export {};
