import React from 'react';
import { PlaceCallType } from "../../../CallHandler";
import { Room } from 'matrix-js-sdk/src';
import { E2EStatus } from '../../../utils/ShieldUtils';
import { IOOBData } from '../../../stores/ThreepidInviteStore';
import { SearchScope } from './SearchBar';
import { RightPanelPhases } from '../../../stores/RightPanelStorePhases';
export interface ISearchInfo {
    searchTerm: string;
    searchScope: SearchScope;
    searchCount: number;
}
interface IProps {
    room: Room;
    oobData?: IOOBData;
    inRoom: boolean;
    onSearchClick: () => void;
    onForgetClick: () => void;
    onCallPlaced: (type: PlaceCallType) => void;
    onAppsClick: () => void;
    e2eStatus: E2EStatus;
    appsShown: boolean;
    searchInfo: ISearchInfo;
    excludedRightPanelPhaseButtons?: Array<RightPanelPhases>;
}
interface IState {
    contextMenuPosition?: DOMRect;
}
export default class RoomHeader extends React.Component<IProps, IState> {
    static defaultProps: {
        editing: boolean;
        inRoom: boolean;
        excludedRightPanelPhaseButtons: any[];
    };
    constructor(props: any, context: any);
    componentDidMount(): void;
    componentWillUnmount(): void;
    private onRoomStateEvents;
    private onNotificationUpdate;
    private rateLimitedUpdate;
    private displayInfoDialogAboutScreensharing;
    private onContextMenuOpenClick;
    private onContextMenuCloseClick;
    render(): JSX.Element;
}
export {};
