import { UnstableValue } from "matrix-js-sdk/src/NamespacedValue";
import { IContent } from "matrix-js-sdk/src/models/event";
export declare const POLL_START_EVENT_TYPE: UnstableValue<"m.poll.start", "org.matrix.msc3381.poll.start">;
export declare const POLL_RESPONSE_EVENT_TYPE: UnstableValue<"m.poll.response", "org.matrix.msc3381.poll.response">;
export declare const POLL_KIND_DISCLOSED: UnstableValue<"m.poll.disclosed", "org.matrix.msc3381.poll.disclosed">;
export declare const POLL_KIND_UNDISCLOSED: UnstableValue<"m.poll.undisclosed", "org.matrix.msc3381.poll.undisclosed">;
declare const TEXT_NODE_TYPE = "org.matrix.msc1767.text";
export interface IPollAnswer extends IContent {
    id: string;
    [TEXT_NODE_TYPE]: string;
}
export interface IPollContent extends IContent {
    [POLL_START_EVENT_TYPE.name]: {
        kind: string;
        question: {
            [TEXT_NODE_TYPE]: string;
        };
        answers: IPollAnswer[];
    };
    [TEXT_NODE_TYPE]: string;
}
export interface IPollResponse extends IContent {
    [POLL_RESPONSE_EVENT_TYPE.name]: {
        answers: string[];
    };
}
export declare function makePollContent(question: string, answers: string[], kind: string): IPollContent;
export {};
